@Echo Off
rem USTOFF.CMD
rem CREATED: 09-17-99 by MK
rem MODIFIED: 07-10-03 by MEK

rem  * This script is used to remove SmarTerm calls from the Terminal Server logon script.
rem  * 
rem  * The script currently checks both commonly used scripts (UsrLogn1.cmd and UsrLogn2.cmd)
rem  * and removes the SmarTerm call from them, if the SmarTerm call is found.
rem  * Please modify the path and filename of your logon script if you are NOT
rem  * using either UsrLogn1.cmd or UsrLogn2.cmd.

rem  * If you need to modify the logon script name, please do not include the ".CMD" extension.
rem  * Note: It is only necessary to change one of the TSEDLS_FILE variables below to your logon script name.
set TSEDLS_Path=%systemroot%\System32
set TSEDLS_File1=usrlogn1
set TSEDLS_File2=usrlogn2

Echo ---------------------------------------------------
echo Running %systemroot%\Application Compatibility Scripts\Uninstall\USTOff.cmd

If Exist "%TSEDLS_Path%\%TSEDLS_File1%.cmd" goto TSE1
goto NEXT

:TSE1
rem Microsoft Terminal Services
rem Remove from UsrLogn1.cmd
Copy %TSEDLS_Path%\%TSEDLS_File1%.cmd %TSEDLS_Path%\%TSEDLS_File1%.Bak >Nul: 2>&1
FindStr /VI esker %TSEDLS_Path%\%TSEDLS_File1%.Bak > %TSEDLS_Path%\%TSEDLS_File1%.cmd
goto NEXT

:NEXT
If Exist "%TSEDLS_Path%\%TSEDLS_File2%.cmd" goto TSE2
goto Done

:TSE2
rem Remove from UsrLogn2.cmd
Copy %TSEDLS_Path%\%TSEDLS_File2%.cmd %TSEDLS_Path%\%TSEDLS_File2%.Bak >Nul: 2>&1
FindStr /VI esker %TSEDLS_Path%\%TSEDLS_File2%.Bak > %TSEDLS_Path%\%TSEDLS_File2%.cmd
Echo ------------------------------------------------------------------
Echo Removed any existing SmarTerm logon script calls.
goto Done

:Done